//<#!@READ-ONLY-SECTION-START@!#>
/*
 * \brief Intel(R) CoFluent(TM) Studio - Intel Corporation
 * \details Simulation model of AIC_MU_ProjectApp generated by C++ Generator for SystemC/TLM2
 */

#include "dp/cfm_betterfunction_dp_if.h"
using namespace std;
using namespace sc_core;
using namespace cf_dt;
using namespace cf_pk;
using namespace cf_core;

/// \name global design parameters constructor
//@{
cfm_betterfunction_dp_if::cfm_betterfunction_dp_if() :
		loopDP("loopDP") {
	init();
}
//@}

/// \name global design parameters initialization
//@{
void cfm_betterfunction_dp_if::init(void) {
	loopDP.init_variable((int) 1);
}
//@}

//<#!@READ-ONLY-SECTION-END@!#>